package ink.wgink.module.wechat.remote.pay.v3;

import ink.wgink.annotation.rpc.rest.RemoteService;
import ink.wgink.annotation.rpc.rest.method.RemoteGetMethod;
import ink.wgink.annotation.rpc.rest.params.RemoteHeaderParams;
import ink.wgink.annotation.rpc.rest.params.RemoteServerParams;
import ink.wgink.module.wechat.pojo.pay.v3.certificates.Certificate;

import java.util.List;

/**
 * @ClassName: IPayRemoteService
 * @Description: 支付远程调用
 * @Author: wanggeng
 * @Date: 2021/10/1 10:03 下午
 * @Version: 1.0
 */
@RemoteService
public interface IPayRemoteService {

    String HEADER_AUTHORIZATION = "Authorization";
    String HEADER_WECHATPAY_SERIAL = "Wechatpay-Serial";

    @RemoteGetMethod("/v3/certificates")
    List<Certificate> listCertificates(@RemoteServerParams String server,
                                       @RemoteHeaderParams(HEADER_AUTHORIZATION) String authorization,
                                       @RemoteHeaderParams("serialNumber") String serialNumber);

}
